getJASPAR <-
    function(id, ...)
{
    require(MotifDb)
    idx <- match(id, mcols(MotifDb)$providerId)
    m <- apply(MotifDb[[idx]], 2, function(prob, n) {
        s <- sample(names(prob), n, TRUE, prob)
        table(factor(s, levels=names(prob)))
    }, mcols(MotifDb)$sequenceCount[idx])
    PWM(m, ...)
}
